package system

import (
	v1 "github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/gin-gonic/gin"
)

type BaseRouter struct {
}

func (s *BaseRouter) InitBaseRouter(Router *gin.RouterGroup) (R gin.IRoutes) {
	baseRouter := Router.Group("base")
	var baseApi = v1.ApiGroupApp.SystemApiGroup.BaseApi
	{
		baseRouter.POST("login", baseApi.Login)
		baseRouter.POST("captcha", baseApi.Captcha)
		baseRouter.POST("loginwx", baseApi.LoginWx)
		baseRouter.POST("register", baseApi.RegisterWx)
		baseRouter.GET("getContentList", v1.ApiGroupApp.AutoCodeApiGroup.ContentApi.GetContentList) // 获取Content列表
	}
	return baseRouter
}
